* {
    box-sizing: border-box;
}

body {
    margin: 0;
}

header {
    width: 100%;
    background: #c2965c;
    color: white;
    text-align: center;
    padding: 20px;

}

.container {
    width: 100%;
    min-height: 100vh;
    background-color: rgb(253, 255, 255);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

main {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding: 20px;
}

.box {
    position: relative;
    width: 100%;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    border: 10px solid rgb(228, 228, 228);
    border-radius: 15px;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all linear 0.9s;
}

.hover_img {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    width: 100%;
    height: 100%;
}

.box:hover img {
    opacity: 0;
}

.box:hover .hover_img {
    opacity: 2;
}

footer {
    width: 100%;
    background: #c2965c;
    color: white;
    text-align: center;
    padding: 20px;
}

/* Responzivni dizajn za manje ekrane */
@media (max-width: 1024px) {
    main {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 768px) {
    main {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 480px) {
    main {
        grid-template-columns: repeat(1, 1fr);
    }
}